PXRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class PXRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.PXRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class PXRecord
      extends Record

  X.400 mail mapping record.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PXRecord(Name name, int dclass, long ttl, int preference, Name map822, Name mapX400)` Creates an PX Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getMap822()` Gets the RFC 822 component of the mail address.
    `Name` | `getMapX400()` Gets the X.400 component of the mail address.
    `int` | `getPreference()` Gets the preference of the route.

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PXRecord

          public PXRecord(Name name,
                  int dclass,
                  long ttl,
                  int preference,
                  Name map822,
                  Name mapX400)

      Creates an PX Record from the given data
      Parameters:
        `preference` - The preference of this mail address.
        `map822` - The RFC 822 component of the mail address.
        `mapX400` - The X.400 component of the mail address.

  - ### Method Detail

    - #### getPreference

          public int getPreference()

      Gets the preference of the route.

    - #### getMap822

          public Name getMap822()

      Gets the RFC 822 component of the mail address.

    - #### getMapX400

          public Name getMapX400()

      Gets the X.400 component of the mail address.